// Breakpoints

$small: 768px;
$medium: 992px;
$large: 1320px;
$x-large: 1600px;

@mixin bp($point) {
	@if $point == xs {
		@content;
	} @else if $point == xs-sm {
		@media (max-width: ($small - 1px)) {
			@content;
		}
	} @else if $point == xs-md {
		@media (max-width: ($medium - 1px)) {
			@content;
		}
	} @else if $point == xs-lg {
		@media (max-width: ($large - 1px)) {
			@content;
		}
	} @else if $point == sm {
		@media (min-width: $small) {
			@content;
		}
	} @else if $point == sm-md {
		@media (min-width: $small) and (max-width: ($medium - 1px)) {
			@content;
		}
	} @else if $point == sm-lg {
		@media (min-width: $small) and (max-width: ($large - 1px)) {
			@content;
		}
	} @else if $point == md {
		@media (min-width: $medium) {
			@content;
		}
	} @else if $point == md-lg {
		@media (min-width: $medium) and (max-width: ($large - 1px)) {
			@content;
		}
	} @else if $point == lg {
		@media (min-width: $large) {
			@content;
		}
	} @else if $point == xlg {
		@media (min-width: $x-large) {
			@content;
		}
	}
}

.login-register-form {
	max-width: 740px;
	background: #fff;
	box-shadow: 0 1px 3px 0 rgba(112, 157, 199, 0.15), 0 2px 3px 0 rgba(81, 104, 125, 0.05);
	border-radius: 4px;
	margin: 30px auto 50px;

	.ant-tabs-nav-container {
		font-size: 16px;
		margin-top: 20px;
	}

	.ant-tabs-nav {
		margin: 0 30px;
	}

	.ant-form-group {
		&:first-child {
			padding: 15px 20px 20px;

			@include bp(md) {
				padding: 15px 30px 30px;
			}
		}

		&:nth-child(n + 2) {
			padding: 30px;
		}
	}
}

.login-form-forgot {
	float: right;
}
.login-form-button {
	width: 100%;
}

.instagran-sign-up-container {
	width: 740px !important;
}

.social-media-connect-form {
	padding: 15px;
	text-align: center;
	max-width: 740px;
	background: #fff;
	box-shadow: 0 1px 3px 0 rgba(112, 157, 199, 0.15), 0 2px 3px 0 rgba(81, 104, 125, 0.05);
	border-radius: 4px;
	margin: 30px auto 50px;

	p {
		font-size: 18px;

		& + p {
			margin-top: 1rem;
		}
	}

	&__btn-group {
		padding: 30px 0 15px 0;
	}

	.error-message {
		padding-top: 10px;

		p {
			margin-bottom: 0;
			color: #e23c39;
		}
	}
}
